package com.khmer9.sbcmain.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.gdtlib.lib.adapter.BaseListAdapter
import com.khmer9.sbcmain.R
import com.khmer9.sbcmain.screen.report.bettingStatement.ReportBettingViewHolder

class BettingStatementAdapter : BaseListAdapter() {
    var printButtonListener: ((String, String, String, String, String, String) -> Unit)? = null
    var detailButtonListener: ((String, String, String) -> Unit)? = null

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
        return ReportBettingViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.layout_betting_statement,
                parent,
                false
            ), printButtonListener, detailButtonListener
        )
    }
}