package com.khmer9.sbcmain.remote

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class CurrentGameResponse(
    @Json(name = "code")
    val resultCode: String,

    @Json(name = "message")
    val message: CurrentGameMessage,

    @Json(name = "data")
    val data: CurrentGameData?
)

@JsonClass(generateAdapter = true)
data class CurrentGameMessage(
    @Json(name = "code")
    val code: String,

    @Json(name = "descriptions")
    val description: String,
)

@JsonClass(generateAdapter = true)
data class CurrentGameData(
    @Json(name = "no")
    val no: Int,

    @Json(name = "date")
    val date: String,
)