package com.khmer9.sbcmain.remote.main

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
data class SocketClientTimeDataModel(
    @Json(name = "time")
    val time: Int,

    @Json(name = "is_open_betting")
    val isOpenBetting: Boolean,

    @Json(name = "is_countdown")
    val isCountdown: Boolean
) {
    fun isCountDowning() = time != 0
}